Show / Hide Table of Contents

# Class ImPlotNative

##### Inheritance

System.Object
ImPlotNative

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public static class ImPlotNative

### Methods

#### ImPlot_AnnotateClampedStr(Double, Double, Vector2, Byte*)

##### Declaration

    public static void ImPlot_AnnotateClampedStr(double x, double y, Vector2 pix_offset, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector2 | pix_offset |
System.Byte* | fmt |

#### ImPlot_AnnotateClampedVec4(Double, Double, Vector2, Vector4, Byte*)

##### Declaration

    public static void ImPlot_AnnotateClampedVec4(double x, double y, Vector2 pix_offset, Vector4 color, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector2 | pix_offset |
System.Numerics.Vector4 | color |
System.Byte* | fmt |

#### ImPlot_AnnotateStr(Double, Double, Vector2, Byte*)

##### Declaration

    public static void ImPlot_AnnotateStr(double x, double y, Vector2 pix_offset, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector2 | pix_offset |
System.Byte* | fmt |

#### ImPlot_AnnotateVec4(Double, Double, Vector2, Vector4, Byte*)

##### Declaration

    public static void ImPlot_AnnotateVec4(double x, double y, Vector2 pix_offset, Vector4 color, byte *fmt)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x |
System.Double | y |
System.Numerics.Vector2 | pix_offset |
System.Numerics.Vector4 | color |
System.Byte* | fmt |

#### ImPlot_BeginDragDropSource(ImGuiKeyModFlags, ImGuiDragDropFlags)

##### Declaration

    public static byte ImPlot_BeginDragDropSource(ImGuiKeyModFlags key_mods, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKeyModFlags | key_mods |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourceItem(Byte*, ImGuiDragDropFlags)

##### Declaration

    public static byte ImPlot_BeginDragDropSourceItem(byte *label_id, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourceX(ImGuiKeyModFlags, ImGuiDragDropFlags)

##### Declaration

    public static byte ImPlot_BeginDragDropSourceX(ImGuiKeyModFlags key_mods, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiKeyModFlags | key_mods |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropSourceY(ImPlotYAxis, ImGuiKeyModFlags, ImGuiDragDropFlags)

##### Declaration

    public static byte ImPlot_BeginDragDropSourceY(ImPlotYAxis axis, ImGuiKeyModFlags key_mods, ImGuiDragDropFlags flags)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotYAxis | axis |
ImGuiKeyModFlags | key_mods |
ImGuiDragDropFlags | flags |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTarget()

##### Declaration

    public static byte ImPlot_BeginDragDropTarget()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetLegend()

##### Declaration

    public static byte ImPlot_BeginDragDropTargetLegend()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetX()

##### Declaration

    public static byte ImPlot_BeginDragDropTargetX()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginDragDropTargetY(ImPlotYAxis)

##### Declaration

    public static byte ImPlot_BeginDragDropTargetY(ImPlotYAxis axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotYAxis | axis |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginLegendPopup(Byte*, ImGuiMouseButton)

##### Declaration

    public static byte ImPlot_BeginLegendPopup(byte *label_id, ImGuiMouseButton mouse_button)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
ImGuiMouseButton | mouse_button |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_BeginPlot(Byte*, Byte*, Byte*, Vector2, ImPlotFlags, ImPlotAxisFlags, ImPlotAxisFlags, ImPlotAxisFlags, ImPlotAxisFlags, Byte*, Byte*)

##### Declaration

    public static byte ImPlot_BeginPlot(byte *title_id, byte *x_label, byte *y_label, Vector2 size, ImPlotFlags flags, ImPlotAxisFlags x_flags, ImPlotAxisFlags y_flags, ImPlotAxisFlags y2_flags, ImPlotAxisFlags y3_flags, byte *y2_label, byte *y3_label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | title_id |
System.Byte* | x_label |
System.Byte* | y_label |
System.Numerics.Vector2 | size |
ImPlotFlags | flags |
ImPlotAxisFlags | x_flags |
ImPlotAxisFlags | y_flags |
ImPlotAxisFlags | y2_flags |
ImPlotAxisFlags | y3_flags |
System.Byte* | y2_label |
System.Byte* | y3_label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_CreateContext()

##### Declaration

    public static IntPtr ImPlot_CreateContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ImPlot_DestroyContext(IntPtr)

##### Declaration

    public static void ImPlot_DestroyContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_DragLineX(Byte*, Double*, Byte, Vector4, Single)

##### Declaration

    public static byte ImPlot_DragLineX(byte *id, double *x_value, byte show_label, Vector4 col, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | id |
System.Double* | x_value |
System.Byte | show_label |
System.Numerics.Vector4 | col |
System.Single | thickness |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_DragLineY(Byte*, Double*, Byte, Vector4, Single)

##### Declaration

    public static byte ImPlot_DragLineY(byte *id, double *y_value, byte show_label, Vector4 col, float thickness)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | id |
System.Double* | y_value |
System.Byte | show_label |
System.Numerics.Vector4 | col |
System.Single | thickness |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_DragPoint(Byte*, Double*, Double*, Byte, Vector4, Single)

##### Declaration

    public static byte ImPlot_DragPoint(byte *id, double *x, double *y, byte show_label, Vector4 col, float radius)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | id |
System.Double* | x |
System.Double* | y |
System.Byte | show_label |
System.Numerics.Vector4 | col |
System.Single | radius |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_EndDragDropSource()

##### Declaration

    public static void ImPlot_EndDragDropSource()

#### ImPlot_EndDragDropTarget()

##### Declaration

    public static void ImPlot_EndDragDropTarget()

#### ImPlot_EndLegendPopup()

##### Declaration

    public static void ImPlot_EndLegendPopup()

#### ImPlot_EndPlot()

##### Declaration

    public static void ImPlot_EndPlot()

#### ImPlot_FitNextPlotAxes(Byte, Byte, Byte, Byte)

##### Declaration

    public static void ImPlot_FitNextPlotAxes(byte x, byte y, byte y2, byte y3)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | x |
System.Byte | y |
System.Byte | y2 |
System.Byte | y3 |

#### ImPlot_GetColormapColor(Vector4*, Int32)

##### Declaration

    public static void ImPlot_GetColormapColor(Vector4*pOut, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |
System.Int32 | index |

#### ImPlot_GetColormapName(ImPlotColormap)

##### Declaration

    public static byte *ImPlot_GetColormapName(ImPlotColormap colormap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | colormap |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_GetColormapSize()

##### Declaration

    public static int ImPlot_GetColormapSize()

##### Returns

Type | Description
--- | ---
System.Int32 |

#### ImPlot_GetCurrentContext()

##### Declaration

    public static IntPtr ImPlot_GetCurrentContext()

##### Returns

Type | Description
--- | ---
System.IntPtr |

#### ImPlot_GetLastItemColor(Vector4*)

##### Declaration

    public static void ImPlot_GetLastItemColor(Vector4*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |

#### ImPlot_GetMarkerName(ImPlotMarker)

##### Declaration

    public static byte *ImPlot_GetMarkerName(ImPlotMarker idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotMarker | idx |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_GetPlotDrawList()

##### Declaration

    public static ImDrawList*ImPlot_GetPlotDrawList()

##### Returns

Type | Description
--- | ---
ImDrawList* |

#### ImPlot_GetPlotLimits(ImPlotLimits*, ImPlotYAxis)

##### Declaration

    public static void ImPlot_GetPlotLimits(ImPlotLimits*pOut, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | pOut |
ImPlotYAxis | y_axis |

#### ImPlot_GetPlotMousePos(ImPlotPoint*, ImPlotYAxis)

##### Declaration

    public static void ImPlot_GetPlotMousePos(ImPlotPoint*pOut, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
ImPlotYAxis | y_axis |

#### ImPlot_GetPlotPos(Vector2*)

##### Declaration

    public static void ImPlot_GetPlotPos(Vector2*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |

#### ImPlot_GetPlotQuery(ImPlotLimits*, ImPlotYAxis)

##### Declaration

    public static void ImPlot_GetPlotQuery(ImPlotLimits*pOut, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | pOut |
ImPlotYAxis | y_axis |

#### ImPlot_GetPlotSize(Vector2*)

##### Declaration

    public static void ImPlot_GetPlotSize(Vector2*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |

#### ImPlot_GetStyle()

##### Declaration

    public static ImPlotStyle*ImPlot_GetStyle()

##### Returns

Type | Description
--- | ---
ImPlotStyle* |

#### ImPlot_GetStyleColorName(ImPlotCol)

##### Declaration

    public static byte *ImPlot_GetStyleColorName(ImPlotCol idx)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |

##### Returns

Type | Description
--- | ---
System.Byte* |

#### ImPlot_HideNextItem(Byte, ImGuiCond)

##### Declaration

    public static void ImPlot_HideNextItem(byte hidden, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | hidden |
ImGuiCond | cond |

#### ImPlot_IsLegendEntryHovered(Byte*)

##### Declaration

    public static byte ImPlot_IsLegendEntryHovered(byte *label_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotHovered()

##### Declaration

    public static byte ImPlot_IsPlotHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotQueried()

##### Declaration

    public static byte ImPlot_IsPlotQueried()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotXAxisHovered()

##### Declaration

    public static byte ImPlot_IsPlotXAxisHovered()

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_IsPlotYAxisHovered(ImPlotYAxis)

##### Declaration

    public static byte ImPlot_IsPlotYAxisHovered(ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotYAxis | y_axis |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ItemIconU32(UInt32)

##### Declaration

    public static void ImPlot_ItemIconU32(uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | col |

#### ImPlot_ItemIconVec4(Vector4)

##### Declaration

    public static void ImPlot_ItemIconVec4(Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |

#### ImPlot_LerpColormapFloat(Vector4*, Single)

##### Declaration

    public static void ImPlot_LerpColormapFloat(Vector4*pOut, float t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |
System.Single | t |

#### ImPlot_LinkNextPlotLimits(Double*, Double*, Double*, Double*, Double*, Double*, Double*, Double*)

##### Declaration

    public static void ImPlot_LinkNextPlotLimits(double *xmin, double *xmax, double *ymin, double *ymax, double *ymin2, double *ymax2, double *ymin3, double *ymax3)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double* | xmin |
System.Double* | xmax |
System.Double* | ymin |
System.Double* | ymax |
System.Double* | ymin2 |
System.Double* | ymax2 |
System.Double* | ymin3 |
System.Double* | ymax3 |

#### ImPlot_NextColormapColor(Vector4*)

##### Declaration

    public static void ImPlot_NextColormapColor(Vector4*pOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | pOut |

#### ImPlot_PixelsToPlotFloat(ImPlotPoint*, Single, Single, ImPlotYAxis)

##### Declaration

    public static void ImPlot_PixelsToPlotFloat(ImPlotPoint*pOut, float x, float y, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
System.Single | x |
System.Single | y |
ImPlotYAxis | y_axis |

#### ImPlot_PixelsToPlotVec2(ImPlotPoint*, Vector2, ImPlotYAxis)

##### Declaration

    public static void ImPlot_PixelsToPlotVec2(ImPlotPoint*pOut, Vector2 pix, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | pOut |
System.Numerics.Vector2 | pix |
ImPlotYAxis | y_axis |

#### ImPlot_PlotBarsdoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsdoublePtrInt(Byte*, Double*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsdoublePtrInt(byte *label_id, double *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsFloatPtrInt(Byte*, Single*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsFloatPtrInt(byte *label_id, float *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHdoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHdoublePtrInt(Byte*, Double*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHdoublePtrInt(byte *label_id, double *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHFloatPtrInt(Byte*, Single*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHFloatPtrInt(byte *label_id, float *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS16PtrInt(Byte*, Int16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS16PtrInt(byte *label_id, short *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS32PtrInt(Byte*, Int32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS32PtrInt(byte *label_id, int *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS64PtrInt(Byte*, Int64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS64PtrInt(byte *label_id, long *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS8PtrInt(Byte*, SByte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS8PtrInt(byte *label_id, sbyte *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU16PtrInt(byte *label_id, ushort *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU32PtrInt(byte *label_id, uint *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU64PtrInt(byte *label_id, ulong *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU8PtrInt(Byte*, Byte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU8PtrInt(byte *label_id, byte *values, int count, double height, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | height |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsHU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsHU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, double height, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | height |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS16PtrInt(Byte*, Int16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS16PtrInt(byte *label_id, short *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS32PtrInt(Byte*, Int32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS32PtrInt(byte *label_id, int *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS64PtrInt(Byte*, Int64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS64PtrInt(byte *label_id, long *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS8PtrInt(Byte*, SByte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS8PtrInt(byte *label_id, sbyte *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU16PtrInt(byte *label_id, ushort *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU32PtrInt(byte *label_id, uint *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU64PtrInt(byte *label_id, ulong *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU8PtrInt(Byte*, Byte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU8PtrInt(byte *label_id, byte *values, int count, double width, double shift, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | width |
System.Double | shift |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotBarsU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotBarsU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, double width, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | width |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitaldoublePtr(Byte*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitaldoublePtr(byte *label_id, double *xs, double *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalFloatPtr(Byte*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalFloatPtr(byte *label_id, float *xs, float *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalS16Ptr(Byte*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalS16Ptr(byte *label_id, short *xs, short *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalS32Ptr(Byte*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalS32Ptr(byte *label_id, int *xs, int *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalS64Ptr(Byte*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalS64Ptr(byte *label_id, long *xs, long *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalS8Ptr(Byte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalU16Ptr(Byte*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalU32Ptr(Byte*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalU32Ptr(byte *label_id, uint *xs, uint *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalU64Ptr(Byte*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDigitalU8Ptr(Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotDigitalU8Ptr(byte *label_id, byte *xs, byte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotDummy(Byte*)

##### Declaration

    public static void ImPlot_PlotDummy(byte *label_id)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |

#### ImPlot_PlotErrorBarsdoublePtrdoublePtrdoublePtrdoublePtr(Byte*, Double*, Double*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsdoublePtrdoublePtrdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, double *neg, double *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | neg |
System.Double* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsdoublePtrdoublePtrdoublePtrInt(Byte*, Double*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsdoublePtrdoublePtrdoublePtrInt(byte *label_id, double *xs, double *ys, double *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsFloatPtrFloatPtrFloatPtrFloatPtr(Byte*, Single*, Single*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsFloatPtrFloatPtrFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, float *neg, float *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | neg |
System.Single* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsFloatPtrFloatPtrFloatPtrInt(Byte*, Single*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsFloatPtrFloatPtrFloatPtrInt(byte *label_id, float *xs, float *ys, float *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHdoublePtrdoublePtrdoublePtrdoublePtr(Byte*, Double*, Double*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHdoublePtrdoublePtrdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, double *neg, double *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | neg |
System.Double* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHdoublePtrdoublePtrdoublePtrInt(Byte*, Double*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHdoublePtrdoublePtrdoublePtrInt(byte *label_id, double *xs, double *ys, double *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Double* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHFloatPtrFloatPtrFloatPtrFloatPtr(Byte*, Single*, Single*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHFloatPtrFloatPtrFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, float *neg, float *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | neg |
System.Single* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHFloatPtrFloatPtrFloatPtrInt(Byte*, Single*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHFloatPtrFloatPtrFloatPtrInt(byte *label_id, float *xs, float *ys, float *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Single* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS16PtrS16PtrS16PtrInt(Byte*, Int16*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS16PtrS16PtrS16PtrInt(byte *label_id, short *xs, short *ys, short *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS16PtrS16PtrS16PtrS16Ptr(Byte*, Int16*, Int16*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS16PtrS16PtrS16PtrS16Ptr(byte *label_id, short *xs, short *ys, short *neg, short *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | neg |
System.Int16* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS32PtrS32PtrS32PtrInt(Byte*, Int32*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS32PtrS32PtrS32PtrInt(byte *label_id, int *xs, int *ys, int *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS32PtrS32PtrS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS32PtrS32PtrS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int *neg, int *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | neg |
System.Int32* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS64PtrS64PtrS64PtrInt(Byte*, Int64*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS64PtrS64PtrS64PtrInt(byte *label_id, long *xs, long *ys, long *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS64PtrS64PtrS64PtrS64Ptr(Byte*, Int64*, Int64*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS64PtrS64PtrS64PtrS64Ptr(byte *label_id, long *xs, long *ys, long *neg, long *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | neg |
System.Int64* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS8PtrS8PtrS8PtrInt(Byte*, SByte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS8PtrS8PtrS8PtrInt(byte *label_id, sbyte *xs, sbyte *ys, sbyte *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHS8PtrS8PtrS8PtrS8Ptr(Byte*, SByte*, SByte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHS8PtrS8PtrS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, sbyte *neg, sbyte *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | neg |
System.SByte* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU16PtrU16PtrU16PtrInt(Byte*, UInt16*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU16PtrU16PtrU16PtrInt(byte *label_id, ushort *xs, ushort *ys, ushort *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU16PtrU16PtrU16PtrU16Ptr(Byte*, UInt16*, UInt16*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU16PtrU16PtrU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, ushort *neg, ushort *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | neg |
System.UInt16* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU32PtrU32PtrU32PtrInt(Byte*, UInt32*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU32PtrU32PtrU32PtrInt(byte *label_id, uint *xs, uint *ys, uint *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU32PtrU32PtrU32PtrU32Ptr(Byte*, UInt32*, UInt32*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU32PtrU32PtrU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, uint *neg, uint *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | neg |
System.UInt32* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU64PtrU64PtrU64PtrInt(Byte*, UInt64*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU64PtrU64PtrU64PtrInt(byte *label_id, ulong *xs, ulong *ys, ulong *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU64PtrU64PtrU64PtrU64Ptr(Byte*, UInt64*, UInt64*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU64PtrU64PtrU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, ulong *neg, ulong *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | neg |
System.UInt64* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU8PtrU8PtrU8PtrInt(Byte*, Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU8PtrU8PtrU8PtrInt(byte *label_id, byte *xs, byte *ys, byte *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsHU8PtrU8PtrU8PtrU8Ptr(Byte*, Byte*, Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsHU8PtrU8PtrU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, byte *neg, byte *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | neg |
System.Byte* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS16PtrS16PtrS16PtrInt(Byte*, Int16*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS16PtrS16PtrS16PtrInt(byte *label_id, short *xs, short *ys, short *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS16PtrS16PtrS16PtrS16Ptr(Byte*, Int16*, Int16*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS16PtrS16PtrS16PtrS16Ptr(byte *label_id, short *xs, short *ys, short *neg, short *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int16* | neg |
System.Int16* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS32PtrS32PtrS32PtrInt(Byte*, Int32*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS32PtrS32PtrS32PtrInt(byte *label_id, int *xs, int *ys, int *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS32PtrS32PtrS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS32PtrS32PtrS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int *neg, int *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32* | neg |
System.Int32* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS64PtrS64PtrS64PtrInt(Byte*, Int64*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS64PtrS64PtrS64PtrInt(byte *label_id, long *xs, long *ys, long *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS64PtrS64PtrS64PtrS64Ptr(Byte*, Int64*, Int64*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS64PtrS64PtrS64PtrS64Ptr(byte *label_id, long *xs, long *ys, long *neg, long *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int64* | neg |
System.Int64* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS8PtrS8PtrS8PtrInt(Byte*, SByte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS8PtrS8PtrS8PtrInt(byte *label_id, sbyte *xs, sbyte *ys, sbyte *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsS8PtrS8PtrS8PtrS8Ptr(Byte*, SByte*, SByte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsS8PtrS8PtrS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, sbyte *neg, sbyte *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.SByte* | neg |
System.SByte* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU16PtrU16PtrU16PtrInt(Byte*, UInt16*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU16PtrU16PtrU16PtrInt(byte *label_id, ushort *xs, ushort *ys, ushort *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU16PtrU16PtrU16PtrU16Ptr(Byte*, UInt16*, UInt16*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU16PtrU16PtrU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, ushort *neg, ushort *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.UInt16* | neg |
System.UInt16* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU32PtrU32PtrU32PtrInt(Byte*, UInt32*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU32PtrU32PtrU32PtrInt(byte *label_id, uint *xs, uint *ys, uint *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU32PtrU32PtrU32PtrU32Ptr(Byte*, UInt32*, UInt32*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU32PtrU32PtrU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, uint *neg, uint *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.UInt32* | neg |
System.UInt32* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU64PtrU64PtrU64PtrInt(Byte*, UInt64*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU64PtrU64PtrU64PtrInt(byte *label_id, ulong *xs, ulong *ys, ulong *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU64PtrU64PtrU64PtrU64Ptr(Byte*, UInt64*, UInt64*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU64PtrU64PtrU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, ulong *neg, ulong *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.UInt64* | neg |
System.UInt64* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU8PtrU8PtrU8PtrInt(Byte*, Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU8PtrU8PtrU8PtrInt(byte *label_id, byte *xs, byte *ys, byte *err, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | err |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotErrorBarsU8PtrU8PtrU8PtrU8Ptr(Byte*, Byte*, Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotErrorBarsU8PtrU8PtrU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, byte *neg, byte *pos, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Byte* | neg |
System.Byte* | pos |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHeatmapdoublePtr(Byte*, Double*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapdoublePtr(byte *label_id, double *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapFloatPtr(Byte*, Single*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapFloatPtr(byte *label_id, float *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapS16Ptr(Byte*, Int16*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapS16Ptr(byte *label_id, short *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapS32Ptr(Byte*, Int32*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapS32Ptr(byte *label_id, int *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapS64Ptr(Byte*, Int64*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapS64Ptr(byte *label_id, long *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapS8Ptr(Byte*, SByte*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapS8Ptr(byte *label_id, sbyte *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapU16Ptr(Byte*, UInt16*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapU16Ptr(byte *label_id, ushort *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapU32Ptr(Byte*, UInt32*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapU32Ptr(byte *label_id, uint *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapU64Ptr(Byte*, UInt64*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapU64Ptr(byte *label_id, ulong *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHeatmapU8Ptr(Byte*, Byte*, Int32, Int32, Double, Double, Byte*, ImPlotPoint, ImPlotPoint)

##### Declaration

    public static void ImPlot_PlotHeatmapU8Ptr(byte *label_id, byte *values, int rows, int cols, double scale_min, double scale_max, byte *label_fmt, ImPlotPoint bounds_min, ImPlotPoint bounds_max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | rows |
System.Int32 | cols |
System.Double | scale_min |
System.Double | scale_max |
System.Byte* | label_fmt |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |

#### ImPlot_PlotHLinesdoublePtr(Byte*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesdoublePtr(byte *label_id, double *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesFloatPtr(Byte*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesFloatPtr(byte *label_id, float *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesS16Ptr(Byte*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesS16Ptr(byte *label_id, short *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesS32Ptr(Byte*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesS32Ptr(byte *label_id, int *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesS64Ptr(Byte*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesS64Ptr(byte *label_id, long *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesS8Ptr(Byte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesS8Ptr(byte *label_id, sbyte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesU16Ptr(Byte*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesU16Ptr(byte *label_id, ushort *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesU32Ptr(Byte*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesU32Ptr(byte *label_id, uint *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesU64Ptr(Byte*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesU64Ptr(byte *label_id, ulong *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotHLinesU8Ptr(Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotHLinesU8Ptr(byte *label_id, byte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotImage(Byte*, IntPtr, ImPlotPoint, ImPlotPoint, Vector2, Vector2, Vector4)

##### Declaration

    public static void ImPlot_PlotImage(byte *label_id, IntPtr user_texture_id, ImPlotPoint bounds_min, ImPlotPoint bounds_max, Vector2 uv0, Vector2 uv1, Vector4 tint_col)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.IntPtr | user_texture_id |
ImPlotPoint | bounds_min |
ImPlotPoint | bounds_max |
System.Numerics.Vector2 | uv0 |
System.Numerics.Vector2 | uv1 |
System.Numerics.Vector4 | tint_col |

#### ImPlot_PlotLinedoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLinedoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLinedoublePtrInt(Byte*, Double*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLinedoublePtrInt(byte *label_id, double *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineFloatPtrInt(Byte*, Single*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineFloatPtrInt(byte *label_id, float *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS16PtrInt(Byte*, Int16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS16PtrInt(byte *label_id, short *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS32PtrInt(Byte*, Int32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS32PtrInt(byte *label_id, int *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS64PtrInt(Byte*, Int64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS64PtrInt(byte *label_id, long *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS8PtrInt(Byte*, SByte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU16PtrInt(byte *label_id, ushort *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU32PtrInt(byte *label_id, uint *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU64PtrInt(byte *label_id, ulong *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU8PtrInt(Byte*, Byte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU8PtrInt(byte *label_id, byte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotLineU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotLineU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotPieChartdoublePtr(Byte**, Double*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartdoublePtr(byte **label_ids, double *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Double* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartFloatPtr(Byte**, Single*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartFloatPtr(byte **label_ids, float *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Single* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartS16Ptr(Byte**, Int16*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartS16Ptr(byte **label_ids, short *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int16* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartS32Ptr(Byte**, Int32*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartS32Ptr(byte **label_ids, int *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int32* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartS64Ptr(Byte**, Int64*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartS64Ptr(byte **label_ids, long *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Int64* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartS8Ptr(Byte**, SByte*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartS8Ptr(byte **label_ids, sbyte *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.SByte* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartU16Ptr(Byte**, UInt16*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartU16Ptr(byte **label_ids, ushort *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt16* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartU32Ptr(Byte**, UInt32*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartU32Ptr(byte **label_ids, uint *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt32* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartU64Ptr(Byte**, UInt64*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartU64Ptr(byte **label_ids, ulong *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.UInt64* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotPieChartU8Ptr(Byte**, Byte*, Int32, Double, Double, Double, Byte, Byte*, Double)

##### Declaration

    public static void ImPlot_PlotPieChartU8Ptr(byte **label_ids, byte *values, int count, double x, double y, double radius, byte normalize, byte *label_fmt, double angle0)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte** | label_ids |
System.Byte* | values |
System.Int32 | count |
System.Double | x |
System.Double | y |
System.Double | radius |
System.Byte | normalize |
System.Byte* | label_fmt |
System.Double | angle0 |

#### ImPlot_PlotScatterdoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterdoublePtrInt(Byte*, Double*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterdoublePtrInt(byte *label_id, double *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterFloatPtrInt(Byte*, Single*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterFloatPtrInt(byte *label_id, float *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS16PtrInt(Byte*, Int16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS16PtrInt(byte *label_id, short *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS32PtrInt(Byte*, Int32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS32PtrInt(byte *label_id, int *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS64PtrInt(Byte*, Int64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS64PtrInt(byte *label_id, long *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS8PtrInt(Byte*, SByte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU16PtrInt(byte *label_id, ushort *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU32PtrInt(byte *label_id, uint *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU64PtrInt(byte *label_id, ulong *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU8PtrInt(Byte*, Byte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU8PtrInt(byte *label_id, byte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotScatterU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotScatterU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadeddoublePtrdoublePtrdoublePtr(Byte*, Double*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadeddoublePtrdoublePtrdoublePtr(byte *label_id, double *xs, double *ys1, double *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys1 |
System.Double* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadeddoublePtrdoublePtrInt(Byte*, Double*, Double*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadeddoublePtrdoublePtrInt(byte *label_id, double *xs, double *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadeddoublePtrInt(Byte*, Double*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadeddoublePtrInt(byte *label_id, double *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedFloatPtrFloatPtrFloatPtr(Byte*, Single*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedFloatPtrFloatPtrFloatPtr(byte *label_id, float *xs, float *ys1, float *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys1 |
System.Single* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedFloatPtrFloatPtrInt(Byte*, Single*, Single*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedFloatPtrFloatPtrInt(byte *label_id, float *xs, float *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedFloatPtrInt(Byte*, Single*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedFloatPtrInt(byte *label_id, float *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS16PtrInt(Byte*, Int16*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS16PtrInt(byte *label_id, short *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS16PtrS16PtrInt(Byte*, Int16*, Int16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS16PtrS16PtrInt(byte *label_id, short *xs, short *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS16PtrS16PtrS16Ptr(Byte*, Int16*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS16PtrS16PtrS16Ptr(byte *label_id, short *xs, short *ys1, short *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys1 |
System.Int16* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS32PtrInt(Byte*, Int32*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS32PtrInt(byte *label_id, int *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS32PtrS32PtrInt(Byte*, Int32*, Int32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS32PtrS32PtrInt(byte *label_id, int *xs, int *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS32PtrS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS32PtrS32PtrS32Ptr(byte *label_id, int *xs, int *ys1, int *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys1 |
System.Int32* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS64PtrInt(Byte*, Int64*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS64PtrInt(byte *label_id, long *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS64PtrS64PtrInt(Byte*, Int64*, Int64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS64PtrS64PtrInt(byte *label_id, long *xs, long *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS64PtrS64PtrS64Ptr(Byte*, Int64*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS64PtrS64PtrS64Ptr(byte *label_id, long *xs, long *ys1, long *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys1 |
System.Int64* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS8PtrInt(Byte*, SByte*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS8PtrInt(byte *label_id, sbyte *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS8PtrS8PtrInt(Byte*, SByte*, SByte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS8PtrS8PtrInt(byte *label_id, sbyte *xs, sbyte *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedS8PtrS8PtrS8Ptr(Byte*, SByte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedS8PtrS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys1, sbyte *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys1 |
System.SByte* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU16PtrInt(byte *label_id, ushort *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU16PtrU16PtrInt(Byte*, UInt16*, UInt16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU16PtrU16PtrInt(byte *label_id, ushort *xs, ushort *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU16PtrU16PtrU16Ptr(Byte*, UInt16*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU16PtrU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys1, ushort *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys1 |
System.UInt16* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU32PtrInt(byte *label_id, uint *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU32PtrU32PtrInt(Byte*, UInt32*, UInt32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU32PtrU32PtrInt(byte *label_id, uint *xs, uint *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU32PtrU32PtrU32Ptr(Byte*, UInt32*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU32PtrU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys1, uint *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys1 |
System.UInt32* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU64PtrInt(byte *label_id, ulong *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU64PtrU64PtrInt(Byte*, UInt64*, UInt64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU64PtrU64PtrInt(byte *label_id, ulong *xs, ulong *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU64PtrU64PtrU64Ptr(Byte*, UInt64*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU64PtrU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys1, ulong *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys1 |
System.UInt64* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU8PtrInt(Byte*, Byte*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU8PtrInt(byte *label_id, byte *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU8PtrU8PtrInt(Byte*, Byte*, Byte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU8PtrU8PtrInt(byte *label_id, byte *xs, byte *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotShadedU8PtrU8PtrU8Ptr(Byte*, Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotShadedU8PtrU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys1, byte *ys2, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys1 |
System.Byte* | ys2 |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsdoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsdoublePtrInt(Byte*, Double*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsdoublePtrInt(byte *label_id, double *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsFloatPtrInt(Byte*, Single*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsFloatPtrInt(byte *label_id, float *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS16PtrInt(Byte*, Int16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS16PtrInt(byte *label_id, short *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS32PtrInt(Byte*, Int32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS32PtrInt(byte *label_id, int *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS64PtrInt(Byte*, Int64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS64PtrInt(byte *label_id, long *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS8PtrInt(Byte*, SByte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS8PtrInt(byte *label_id, sbyte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU16PtrInt(byte *label_id, ushort *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU32PtrInt(byte *label_id, uint *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU64PtrInt(byte *label_id, ulong *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU8PtrInt(Byte*, Byte*, Int32, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU8PtrInt(byte *label_id, byte *values, int count, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStairsU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStairsU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsdoublePtrdoublePtr(Byte*, Double*, Double*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsdoublePtrdoublePtr(byte *label_id, double *xs, double *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Double* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsdoublePtrInt(Byte*, Double*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsdoublePtrInt(byte *label_id, double *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsFloatPtrFloatPtr(Byte*, Single*, Single*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsFloatPtrFloatPtr(byte *label_id, float *xs, float *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Single* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsFloatPtrInt(Byte*, Single*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsFloatPtrInt(byte *label_id, float *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS16PtrInt(Byte*, Int16*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS16PtrInt(byte *label_id, short *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS16PtrS16Ptr(Byte*, Int16*, Int16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS16PtrS16Ptr(byte *label_id, short *xs, short *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int16* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS32PtrInt(Byte*, Int32*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS32PtrInt(byte *label_id, int *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS32PtrS32Ptr(Byte*, Int32*, Int32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS32PtrS32Ptr(byte *label_id, int *xs, int *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS64PtrInt(Byte*, Int64*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS64PtrInt(byte *label_id, long *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS64PtrS64Ptr(Byte*, Int64*, Int64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS64PtrS64Ptr(byte *label_id, long *xs, long *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int64* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS8PtrInt(Byte*, SByte*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS8PtrInt(byte *label_id, sbyte *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsS8PtrS8Ptr(Byte*, SByte*, SByte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsS8PtrS8Ptr(byte *label_id, sbyte *xs, sbyte *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.SByte* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU16PtrInt(Byte*, UInt16*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU16PtrInt(byte *label_id, ushort *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU16PtrU16Ptr(Byte*, UInt16*, UInt16*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU16PtrU16Ptr(byte *label_id, ushort *xs, ushort *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.UInt16* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU32PtrInt(Byte*, UInt32*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU32PtrInt(byte *label_id, uint *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU32PtrU32Ptr(Byte*, UInt32*, UInt32*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU32PtrU32Ptr(byte *label_id, uint *xs, uint *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.UInt32* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU64PtrInt(Byte*, UInt64*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU64PtrInt(byte *label_id, ulong *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU64PtrU64Ptr(Byte*, UInt64*, UInt64*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU64PtrU64Ptr(byte *label_id, ulong *xs, ulong *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.UInt64* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU8PtrInt(Byte*, Byte*, Int32, Double, Double, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU8PtrInt(byte *label_id, byte *values, int count, double y_ref, double xscale, double x0, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | values |
System.Int32 | count |
System.Double | y_ref |
System.Double | xscale |
System.Double | x0 |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotStemsU8PtrU8Ptr(Byte*, Byte*, Byte*, Int32, Double, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotStemsU8PtrU8Ptr(byte *label_id, byte *xs, byte *ys, int count, double y_ref, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Byte* | ys |
System.Int32 | count |
System.Double | y_ref |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotText(Byte*, Double, Double, Byte, Vector2)

##### Declaration

    public static void ImPlot_PlotText(byte *text, double x, double y, byte vertical, Vector2 pix_offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | text |
System.Double | x |
System.Double | y |
System.Byte | vertical |
System.Numerics.Vector2 | pix_offset |

#### ImPlot_PlotToPixelsdouble(Vector2*, Double, Double, ImPlotYAxis)

##### Declaration

    public static void ImPlot_PlotToPixelsdouble(Vector2*pOut, double x, double y, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
System.Double | x |
System.Double | y |
ImPlotYAxis | y_axis |

#### ImPlot_PlotToPixelsPlotPoInt(Vector2*, ImPlotPoint, ImPlotYAxis)

##### Declaration

    public static void ImPlot_PlotToPixelsPlotPoInt(Vector2*pOut, ImPlotPoint plt, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2* | pOut |
ImPlotPoint | plt |
ImPlotYAxis | y_axis |

#### ImPlot_PlotVLinesdoublePtr(Byte*, Double*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesdoublePtr(byte *label_id, double *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Double* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesFloatPtr(Byte*, Single*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesFloatPtr(byte *label_id, float *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Single* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesS16Ptr(Byte*, Int16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesS16Ptr(byte *label_id, short *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int16* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesS32Ptr(Byte*, Int32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesS32Ptr(byte *label_id, int *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int32* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesS64Ptr(Byte*, Int64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesS64Ptr(byte *label_id, long *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Int64* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesS8Ptr(Byte*, SByte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesS8Ptr(byte *label_id, sbyte *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.SByte* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesU16Ptr(Byte*, UInt16*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesU16Ptr(byte *label_id, ushort *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt16* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesU32Ptr(Byte*, UInt32*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesU32Ptr(byte *label_id, uint *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt32* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesU64Ptr(Byte*, UInt64*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesU64Ptr(byte *label_id, ulong *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.UInt64* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PlotVLinesU8Ptr(Byte*, Byte*, Int32, Int32, Int32)

##### Declaration

    public static void ImPlot_PlotVLinesU8Ptr(byte *label_id, byte *xs, int count, int offset, int stride)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label_id |
System.Byte* | xs |
System.Int32 | count |
System.Int32 | offset |
System.Int32 | stride |

#### ImPlot_PopColormap(Int32)

##### Declaration

    public static void ImPlot_PopColormap(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PopPlotClipRect()

##### Declaration

    public static void ImPlot_PopPlotClipRect()

#### ImPlot_PopStyleColor(Int32)

##### Declaration

    public static void ImPlot_PopStyleColor(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PopStyleVar(Int32)

##### Declaration

    public static void ImPlot_PopStyleVar(int count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | count |

#### ImPlot_PushColormapPlotColormap(ImPlotColormap)

##### Declaration

    public static void ImPlot_PushColormapPlotColormap(ImPlotColormap colormap)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | colormap |

#### ImPlot_PushColormapVec4Ptr(Vector4*, Int32)

##### Declaration

    public static void ImPlot_PushColormapVec4Ptr(Vector4*colormap, int size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | colormap |
System.Int32 | size |

#### ImPlot_PushPlotClipRect()

##### Declaration

    public static void ImPlot_PushPlotClipRect()

#### ImPlot_PushStyleColorU32(ImPlotCol, UInt32)

##### Declaration

    public static void ImPlot_PushStyleColorU32(ImPlotCol idx, uint col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |
System.UInt32 | col |

#### ImPlot_PushStyleColorVec4(ImPlotCol, Vector4)

##### Declaration

    public static void ImPlot_PushStyleColorVec4(ImPlotCol idx, Vector4 col)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotCol | idx |
System.Numerics.Vector4 | col |

#### ImPlot_PushStyleVarFloat(ImPlotStyleVar, Single)

##### Declaration

    public static void ImPlot_PushStyleVarFloat(ImPlotStyleVar idx, float val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Single | val |

#### ImPlot_PushStyleVarInt(ImPlotStyleVar, Int32)

##### Declaration

    public static void ImPlot_PushStyleVarInt(ImPlotStyleVar idx, int val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Int32 | val |

#### ImPlot_PushStyleVarVec2(ImPlotStyleVar, Vector2)

##### Declaration

    public static void ImPlot_PushStyleVarVec2(ImPlotStyleVar idx, Vector2 val)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyleVar | idx |
System.Numerics.Vector2 | val |

#### ImPlot_SetColormapPlotColormap(ImPlotColormap, Int32)

##### Declaration

    public static void ImPlot_SetColormapPlotColormap(ImPlotColormap colormap, int samples)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotColormap | colormap |
System.Int32 | samples |

#### ImPlot_SetColormapVec4Ptr(Vector4*, Int32)

##### Declaration

    public static void ImPlot_SetColormapVec4Ptr(Vector4*colormap, int size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4* | colormap |
System.Int32 | size |

#### ImPlot_SetCurrentContext(IntPtr)

##### Declaration

    public static void ImPlot_SetCurrentContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_SetImGuiContext(IntPtr)

##### Declaration

    public static void ImPlot_SetImGuiContext(IntPtr ctx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | ctx |

#### ImPlot_SetLegendLocation(ImPlotLocation, ImPlotOrientation, Byte)

##### Declaration

    public static void ImPlot_SetLegendLocation(ImPlotLocation location, ImPlotOrientation orientation, byte outside)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLocation | location |
ImPlotOrientation | orientation |
System.Byte | outside |

#### ImPlot_SetMousePosLocation(ImPlotLocation)

##### Declaration

    public static void ImPlot_SetMousePosLocation(ImPlotLocation location)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLocation | location |

#### ImPlot_SetNextErrorBarStyle(Vector4, Single, Single)

##### Declaration

    public static void ImPlot_SetNextErrorBarStyle(Vector4 col, float size, float weight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | size |
System.Single | weight |

#### ImPlot_SetNextFillStyle(Vector4, Single)

##### Declaration

    public static void ImPlot_SetNextFillStyle(Vector4 col, float alpha_mod)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | alpha_mod |

#### ImPlot_SetNextLineStyle(Vector4, Single)

##### Declaration

    public static void ImPlot_SetNextLineStyle(Vector4 col, float weight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col |
System.Single | weight |

#### ImPlot_SetNextMarkerStyle(ImPlotMarker, Single, Vector4, Single, Vector4)

##### Declaration

    public static void ImPlot_SetNextMarkerStyle(ImPlotMarker marker, float size, Vector4 fill, float weight, Vector4 outline)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotMarker | marker |
System.Single | size |
System.Numerics.Vector4 | fill |
System.Single | weight |
System.Numerics.Vector4 | outline |

#### ImPlot_SetNextPlotLimits(Double, Double, Double, Double, ImGuiCond)

##### Declaration

    public static void ImPlot_SetNextPlotLimits(double xmin, double xmax, double ymin, double ymax, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | xmin |
System.Double | xmax |
System.Double | ymin |
System.Double | ymax |
ImGuiCond | cond |

#### ImPlot_SetNextPlotLimitsX(Double, Double, ImGuiCond)

##### Declaration

    public static void ImPlot_SetNextPlotLimitsX(double xmin, double xmax, ImGuiCond cond)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | xmin |
System.Double | xmax |
ImGuiCond | cond |

#### ImPlot_SetNextPlotLimitsY(Double, Double, ImGuiCond, ImPlotYAxis)

##### Declaration

    public static void ImPlot_SetNextPlotLimitsY(double ymin, double ymax, ImGuiCond cond, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | ymin |
System.Double | ymax |
ImGuiCond | cond |
ImPlotYAxis | y_axis |

#### ImPlot_SetNextPlotTicksXdouble(Double, Double, Int32, Byte**, Byte)

##### Declaration

    public static void ImPlot_SetNextPlotTicksXdouble(double x_min, double x_max, int n_ticks, byte **labels, byte show_default)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | x_min |
System.Double | x_max |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | show_default |

#### ImPlot_SetNextPlotTicksXdoublePtr(Double*, Int32, Byte**, Byte)

##### Declaration

    public static void ImPlot_SetNextPlotTicksXdoublePtr(double *values, int n_ticks, byte **labels, byte show_default)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double* | values |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | show_default |

#### ImPlot_SetNextPlotTicksYdouble(Double, Double, Int32, Byte**, Byte, ImPlotYAxis)

##### Declaration

    public static void ImPlot_SetNextPlotTicksYdouble(double y_min, double y_max, int n_ticks, byte **labels, byte show_default, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | y_min |
System.Double | y_max |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | show_default |
ImPlotYAxis | y_axis |

#### ImPlot_SetNextPlotTicksYdoublePtr(Double*, Int32, Byte**, Byte, ImPlotYAxis)

##### Declaration

    public static void ImPlot_SetNextPlotTicksYdoublePtr(double *values, int n_ticks, byte **labels, byte show_default, ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double* | values |
System.Int32 | n_ticks |
System.Byte** | labels |
System.Byte | show_default |
ImPlotYAxis | y_axis |

#### ImPlot_SetPlotYAxis(ImPlotYAxis)

##### Declaration

    public static void ImPlot_SetPlotYAxis(ImPlotYAxis y_axis)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotYAxis | y_axis |

#### ImPlot_ShowColormapScale(Double, Double, Vector2)

##### Declaration

    public static void ImPlot_ShowColormapScale(double scale_min, double scale_max, Vector2 size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | scale_min |
System.Double | scale_max |
System.Numerics.Vector2 | size |

#### ImPlot_ShowColormapSelector(Byte*)

##### Declaration

    public static byte ImPlot_ShowColormapSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ShowDemoWindow(Byte*)

##### Declaration

    public static void ImPlot_ShowDemoWindow(byte *p_open)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_open |

#### ImPlot_ShowMetricsWindow(Byte*)

##### Declaration

    public static void ImPlot_ShowMetricsWindow(byte *p_popen)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | p_popen |

#### ImPlot_ShowStyleEditor(ImPlotStyle*)

##### Declaration

    public static void ImPlot_ShowStyleEditor(ImPlotStyle*ref)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | ref |

#### ImPlot_ShowStyleSelector(Byte*)

##### Declaration

    public static byte ImPlot_ShowStyleSelector(byte *label)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | label |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlot_ShowUserGuide()

##### Declaration

    public static void ImPlot_ShowUserGuide()

#### ImPlot_StyleColorsAuto(ImPlotStyle*)

##### Declaration

    public static void ImPlot_StyleColorsAuto(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsClassic(ImPlotStyle*)

##### Declaration

    public static void ImPlot_StyleColorsClassic(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsDark(ImPlotStyle*)

##### Declaration

    public static void ImPlot_StyleColorsDark(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlot_StyleColorsLight(ImPlotStyle*)

##### Declaration

    public static void ImPlot_StyleColorsLight(ImPlotStyle*dst)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | dst |

#### ImPlotLimits_Containsdouble(ImPlotLimits*, Double, Double)

##### Declaration

    public static byte ImPlotLimits_Containsdouble(ImPlotLimits*self, double x, double y)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | self |
System.Double | x |
System.Double | y |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotLimits_ContainsPlotPoInt(ImPlotLimits*, ImPlotPoint)

##### Declaration

    public static byte ImPlotLimits_ContainsPlotPoInt(ImPlotLimits*self, ImPlotPoint p)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotLimits* | self |
ImPlotPoint | p |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotPoint_destroy(ImPlotPoint*)

##### Declaration

    public static void ImPlotPoint_destroy(ImPlotPoint*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotPoint* | self |

#### ImPlotPoint_ImPlotPointdouble(Double, Double)

##### Declaration

    public static ImPlotPoint*ImPlotPoint_ImPlotPointdouble(double _x, double _y)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | _x |
System.Double | _y |

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotPoint_ImPlotPointNil()

##### Declaration

    public static ImPlotPoint*ImPlotPoint_ImPlotPointNil()

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotPoint_ImPlotPointVec2(Vector2)

##### Declaration

    public static ImPlotPoint*ImPlotPoint_ImPlotPointVec2(Vector2 p)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector2 | p |

##### Returns

Type | Description
--- | ---
ImPlotPoint* |

#### ImPlotRange_Contains(ImPlotRange*, Double)

##### Declaration

    public static byte ImPlotRange_Contains(ImPlotRange*self, double value)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |
System.Double | value |

##### Returns

Type | Description
--- | ---
System.Byte |

#### ImPlotRange_destroy(ImPlotRange*)

##### Declaration

    public static void ImPlotRange_destroy(ImPlotRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |

#### ImPlotRange_ImPlotRangedouble(Double, Double)

##### Declaration

    public static ImPlotRange*ImPlotRange_ImPlotRangedouble(double _min, double _max)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | _min |
System.Double | _max |

##### Returns

Type | Description
--- | ---
ImPlotRange* |

#### ImPlotRange_ImPlotRangeNil()

##### Declaration

    public static ImPlotRange*ImPlotRange_ImPlotRangeNil()

##### Returns

Type | Description
--- | ---
ImPlotRange* |

#### ImPlotRange_Size(ImPlotRange*)

##### Declaration

    public static double ImPlotRange_Size(ImPlotRange*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | self |

##### Returns

Type | Description
--- | ---
System.Double |

#### ImPlotStyle_destroy(ImPlotStyle*)

##### Declaration

    public static void ImPlotStyle_destroy(ImPlotStyle*self)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotStyle* | self |

#### ImPlotStyle_ImPlotStyle()

##### Declaration

    public static ImPlotStyle*ImPlotStyle_ImPlotStyle()

##### Returns

Type | Description
--- | ---
ImPlotStyle* |